## soundkonverter 0.9.90

=== CMakeLists.txt ===
project(soundkonverter)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

# find_package(Cdparanoia)
#macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")

set(TAGLIB_MIN_VERSION "1.4")
find_package(Taglib REQUIRED)

# # Check if TagLib is built with ASF and MP4 support
# include(CheckCXXSourceCompiles)
# set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
# set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")
# 
# check_cxx_source_compiles("#include <asftag.h>
# int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
# if( NOT TAGLIB_ASF_FOUND )
#     message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
# endif( NOT TAGLIB_ASF_FOUND )
# 
# check_cxx_source_compiles("#include <mp4tag.h>
# int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
# if( NOT TAGLIB_MP4_FOUND )
#     message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
# endif( NOT TAGLIB_MP4_FOUND )
# 
# set(CMAKE_REQUIRED_INCLUDES)
# set(CMAKE_REQUIRED_LIBRARIES)
# 
# set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
# find_package(Taglib-Extras REQUIRED)
# 
# include(CheckTagLibFileName)
# 
# check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
# 
#


include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES})

add_subdirectory(plugins/soundkonverter_codec_lame)
add_subdirectory(plugins/soundkonverter_codec_ogg)
add_subdirectory(plugins/soundkonverter_codec_ffmpeg)
add_subdirectory(plugins/soundkonverter_replaygain_vorbisgain)
add_subdirectory(plugins/soundkonverter_replaygain_mp3gain)
add_subdirectory(plugins/soundkonverter_ripper_cdparanoia)

set(soundkonvertercore_SRCS
   core/backendplugin.cpp
   core/codecplugin.cpp
   core/codecwidget.cpp
   core/conversionoptions.cpp
   core/replaygainplugin.cpp
   core/ripperplugin.cpp
)

kde4_add_library(soundkonvertercore SHARED ${soundkonvertercore_SRCS})

target_link_libraries(soundkonvertercore ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})
#set_target_properties(soundkonvertercore PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS soundkonvertercore DESTINATION ${LIB_INSTALL_DIR})


# add_definitions(${TAGLIB_CFLAGS} "${TAGLIB_CFLAGS}/..")
# ADD_DEFINITIONS(${TAGLIB_CFLAGS} -DQT_STL)

set(soundkonverter_SRCS
#    audiocd/cdmanager.cpp
#    audiocd/paranoia.cpp
   configdialog/configdialog.cpp
   configdialog/configpagebase.cpp
   configdialog/configgeneralpage.cpp
   configdialog/configadvancedpage.cpp
   configdialog/configbackendspage.cpp
   metadata/tagengine.cpp
   opener/fileopener.cpp
   opener/diropener.cpp
   opener/cdopener.cpp
   opener/urlopener.cpp
   opener/playlistopener.cpp
   replaygainscanner/replaygainscanner.cpp
   replaygainscanner/replaygainfilelist.cpp
   replaygainscanner/replaygainfilelistitem.cpp
   main.cpp
   soundkonverter.cpp
   soundkonverterapp.cpp
   soundkonverterview.cpp
   config.cpp
   filelist.cpp
   filelistitem.cpp
   combobutton.cpp
   progressindicator.cpp
   options.cpp
   optionssimple.cpp
   optionsdetailed.cpp
   optionslayer.cpp
   optionseditor.cpp
   pluginloader.cpp
   outputdirectory.cpp
   convert.cpp
   logger.cpp
   logviewer.cpp
   aboutplugins.cpp
   conversionoptionsmanager.cpp
   global.cpp
   codecproblems.cpp
 )

#kde4_automoc(${soundkonverter_SRCS})

#kde4_add_ui_files(soundkonverter_SRCS soundkonverterview_base.ui prefs_base.ui)

#kde4_add_kcfg_files(soundkonverter_SRCS settings.kcfgc )

kde4_add_executable(soundkonverter ${soundkonverter_SRCS})

target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${TAGLIB_LIBRARIES} kcddb kcompactdisc soundkonvertercore)

install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

install(FILES soundkonverter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
#install( FILES soundkonverter.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install(FILES soundkonverterui.rc DESTINATION ${DATA_INSTALL_DIR}/soundkonverter)

install(FILES soundkonverter_codecplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_replaygainplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_ripperplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(icons)
add_subdirectory(images)

# dependencies: taglib, cdparanoia
### dependencies: taglib, libmediainfo, zenlib, cdparanoia

macro_display_feature_log()

=== plugins/soundkonverter_codec_ogg/CMakeLists.txt ===
project(soundkonverter_codec_ogg)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_ogg_SRCS
   soundkonverter_codec_ogg.cpp
   oggcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_ogg ${soundkonverter_codec_ogg_SRCS})

# kde4_add_library(soundkonverter_codec_ogg SHARED ${soundkonverter_codec_ogg_SRCS})

target_link_libraries(soundkonverter_codec_ogg ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_ogg ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_ogg DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_ogg.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_mp3gain/CMakeLists.txt ===
project(soundkonverter_replaygain_mp3gain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_mp3gain_SRCS
   soundkonverter_replaygain_mp3gain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_mp3gain ${soundkonverter_replaygain_mp3gain_SRCS})

# kde4_add_library(soundkonverter_replaygain_mp3gain SHARED ${soundkonverter_replaygain_mp3gain_SRCS})

target_link_libraries(soundkonverter_replaygain_mp3gain ${KDE4_KDEUI_LIBS} soundkonvertercore )
#target_link_libraries(soundkonverter_replaygain_mp3gain ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_replaygain_mp3gain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_mp3gain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (0.9.90-1) unstable; urgency=low

  * Imported Upstream version 0.9.90 for KDE4 which compiles fine with
    binutils-gold. (Closes: #556353)
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Moved to source version 3.0.
  * Added watch file.
  * Added missing build dependencies. (Closes: #565850)
  * Added information about git repository.
  * Added the word "Copyright" to copyright file to make lintian happy.

 -- Michael Meskes <meskes@debian.org>  Wed, 05 May 2010 09:15:31 +0200

soundkonverter (0.3.10-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 05 Jul 2009 12:38:50 +0200

soundkonverter (0.3.8-3) unstable; urgency=low

  * Drop soundkonverter-amarok since it doesn't work with amarok 2.
    (Closes: #528350)
  * Add patch to fix ftbfs with gcc 4.4. Thanks to Martin Michlmayr.
    (Closes: #505724)
  * Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 16:04:07 +0200

soundkonverter (0.3.8-2) unstable; urgency=low

  * Changed build dependency from automake-1.9 to automake. (Closes: #488814)

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Jul 2008 16:16:14 +0200

soundkonverter (0.3.8-1) unstable; urgency=low

  * New upstream version. (Closes: #488227)
  * Made amarok script list the current version number. (Closes: #447623)
  * Added a note to README.Debian about how to enable soundkonverter-amarok
    script. (Closes: #447625)
  * Moved homepage in description to its own field.
  * Made lintian happy by slightly rewording copyright file.
  * Bumped Standards-Version to 3.8.0, no changes needed.
  * Added myself as uploader.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Jun 2008 12:38:16 +0200

soundkonverter (0.3.6-1) unstable; urgency=low

  * Initial release. (Closes: #446403)

 -- Fathi Boudra <fboudra@free.fr>  Sat, 13 Oct 2007 14:50:28 +0200

=== debian/control ===
Source: soundkonverter
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
Standards-Version: 3.8.4
Homepage: http://www.kde-apps.org/content/show.php?content=29024
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

Package: soundkonverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cdda2wav, cdparanoia, faad, ffmpeg, flac,
 kdemultimedia-kio-plugins, mp3gain, mplayer, mppenc, speex, timidity,
 vorbis-tools, vorbisgain, wavpack
Description: audio converter frontend for KDE
 soundKonverter is a frontend to various audio converters.
 .
 The key features are:
  - Audio conversion
  - Replay Gain calculation
  - CD ripping
 .
 soundKonverter supports reading and writing tags for many formats, so the tags
 are preserved when converting files.
 .
 See README.Debian for more information on supported formats.

=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
  http://kde-apps.org/content/download.php?content=29024&id=5 \
  https://api.opensuse.org/public/source/home:HessiJames/soundkonverter-kde4/soundkonverter-(.*).tar.bz2

## soundkonverter 0.9.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,11 +44,22 @@
 include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES})
 
 add_subdirectory(plugins/soundkonverter_codec_lame)
-add_subdirectory(plugins/soundkonverter_codec_ogg)
+add_subdirectory(plugins/soundkonverter_codec_vorbistools)
+add_subdirectory(plugins/soundkonverter_codec_flac)
 add_subdirectory(plugins/soundkonverter_codec_ffmpeg)
+add_subdirectory(plugins/soundkonverter_codec_mplayer)
+add_subdirectory(plugins/soundkonverter_codec_faac)
+add_subdirectory(plugins/soundkonverter_codec_neroaac)
+add_subdirectory(plugins/soundkonverter_codec_timidity)
 add_subdirectory(plugins/soundkonverter_replaygain_vorbisgain)
+add_subdirectory(plugins/soundkonverter_replaygain_metaflac)
 add_subdirectory(plugins/soundkonverter_replaygain_mp3gain)
+add_subdirectory(plugins/soundkonverter_replaygain_aacgain)
 add_subdirectory(plugins/soundkonverter_ripper_cdparanoia)
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )
+
 
 set(soundkonvertercore_SRCS
    core/backendplugin.cpp

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(cs)

=== debian/changelog ===
soundkonverter (0.9.91-1) unstable; urgency=low

  * New Upstream version 0.9.91
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Jul 2010 11:28:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

## soundkonverter 0.9.94

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
-# find_package(Cdparanoia)
-#macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building Audex.")
+find_package(Cdparanoia REQUIRED)
+# macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building soundKonverter.")
 
 set(TAGLIB_MIN_VERSION "1.4")
 find_package(Taglib REQUIRED)
@@ -41,20 +41,29 @@
 #
 
 
-include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES})
+include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
 
 add_subdirectory(plugins/soundkonverter_codec_lame)
+add_subdirectory(plugins/soundkonverter_codec_twolame)
 add_subdirectory(plugins/soundkonverter_codec_vorbistools)
 add_subdirectory(plugins/soundkonverter_codec_flac)
+add_subdirectory(plugins/soundkonverter_codec_flake)
 add_subdirectory(plugins/soundkonverter_codec_ffmpeg)
+add_subdirectory(plugins/soundkonverter_codec_mac)
 add_subdirectory(plugins/soundkonverter_codec_mplayer)
 add_subdirectory(plugins/soundkonverter_codec_faac)
 add_subdirectory(plugins/soundkonverter_codec_neroaac)
 add_subdirectory(plugins/soundkonverter_codec_timidity)
+add_subdirectory(plugins/soundkonverter_codec_wavpack)
+add_subdirectory(plugins/soundkonverter_codec_shorten)
+add_subdirectory(plugins/soundkonverter_codec_musepack)
+# add_subdirectory(plugins/soundkonverter_codec_speex)
 add_subdirectory(plugins/soundkonverter_replaygain_vorbisgain)
 add_subdirectory(plugins/soundkonverter_replaygain_metaflac)
 add_subdirectory(plugins/soundkonverter_replaygain_mp3gain)
 add_subdirectory(plugins/soundkonverter_replaygain_aacgain)
+add_subdirectory(plugins/soundkonverter_replaygain_wvgain)
+add_subdirectory(plugins/soundkonverter_replaygain_musepack)
 add_subdirectory(plugins/soundkonverter_ripper_cdparanoia)
 
 include(MacroOptionalAddSubdirectory)
@@ -81,13 +90,11 @@
 # ADD_DEFINITIONS(${TAGLIB_CFLAGS} -DQT_STL)
 
 set(soundkonverter_SRCS
-#    audiocd/cdmanager.cpp
-#    audiocd/paranoia.cpp
    configdialog/configdialog.cpp
    configdialog/configpagebase.cpp
    configdialog/configgeneralpage.cpp
-   configdialog/configadvancedpage.cpp
    configdialog/configbackendspage.cpp
+#    configdialog/configadvancedpage.cpp
    metadata/tagengine.cpp
    opener/fileopener.cpp
    opener/diropener.cpp
@@ -97,30 +104,31 @@
    replaygainscanner/replaygainscanner.cpp
    replaygainscanner/replaygainfilelist.cpp
    replaygainscanner/replaygainfilelistitem.cpp
+   global.cpp
    main.cpp
    soundkonverter.cpp
    soundkonverterapp.cpp
    soundkonverterview.cpp
+   codecproblems.cpp
+   combobutton.cpp
    config.cpp
+   conversionoptionsmanager.cpp
+   convert.cpp
    filelist.cpp
    filelistitem.cpp
-   combobutton.cpp
-   progressindicator.cpp
+   logger.cpp
+   logviewer.cpp
    options.cpp
    optionssimple.cpp
    optionsdetailed.cpp
+   optionseditor.cpp
    optionslayer.cpp
-   optionseditor.cpp
    pluginloader.cpp
+   progressindicator.cpp
    outputdirectory.cpp
-   convert.cpp
-   logger.cpp
-   logviewer.cpp
-   aboutplugins.cpp
-   conversionoptionsmanager.cpp
-   global.cpp
-   codecproblems.cpp
- )
+#    aboutplugins.cpp
+)
+
 
 #kde4_automoc(${soundkonverter_SRCS})
 
@@ -130,7 +138,7 @@
 
 kde4_add_executable(soundkonverter ${soundkonverter_SRCS})
 
-target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${TAGLIB_LIBRARIES} kcddb kcompactdisc soundkonvertercore)
+target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${TAGLIB_LIBRARIES} kcddb ${CDPARANOIA_LIBRARIES} soundkonvertercore)
 
 install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,6 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgfmt binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+
 add_subdirectory(cs)
+add_subdirectory(de)

=== plugins/soundkonverter_codec_faac/CMakeLists.txt ===
project(soundkonverter_codec_faac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_faac_SRCS
   soundkonverter_codec_faac.cpp
   faaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_faac ${soundkonverter_codec_faac_SRCS})

# kde4_add_library(soundkonverter_codec_faac SHARED ${soundkonverter_codec_faac_SRCS})

target_link_libraries(soundkonverter_codec_faac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_faac ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_faac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_faac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_ffmpeg/CMakeLists.txt ===
project(soundkonverter_codec_ffmpeg)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_ffmpeg_SRCS
   soundkonverter_codec_ffmpeg.cpp
   ffmpegcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_ffmpeg ${soundkonverter_codec_ffmpeg_SRCS})

# kde4_add_library(soundkonverter_codec_ffmpeg SHARED ${soundkonverter_codec_ffmpeg_SRCS})

target_link_libraries(soundkonverter_codec_ffmpeg ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_ffmpeg ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_ffmpeg DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_ffmpeg.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_flac/CMakeLists.txt ===
project(soundkonverter_codec_flac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_flac_SRCS
   soundkonverter_codec_flac.cpp
   flaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_flac ${soundkonverter_codec_flac_SRCS})

# kde4_add_library(soundkonverter_codec_flac SHARED ${soundkonverter_codec_flac_SRCS})

target_link_libraries(soundkonverter_codec_flac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_flac ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_flac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_mplayer/CMakeLists.txt ===
project(soundkonverter_codec_mplayer)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_mplayer_SRCS
   soundkonverter_codec_mplayer.cpp
   mplayercodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_mplayer ${soundkonverter_codec_mplayer_SRCS})

# kde4_add_library(soundkonverter_codec_mplayer SHARED ${soundkonverter_codec_mplayer_SRCS})

target_link_libraries(soundkonverter_codec_mplayer ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_mplayer ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_mplayer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_mplayer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_musepack/CMakeLists.txt ===
project(soundkonverter_codec_musepack)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_musepack_SRCS
   soundkonverter_codec_musepack.cpp
   musepackcodecwidget.cpp
   musepackconversionoptions.cpp
 )

kde4_add_plugin(soundkonverter_codec_musepack ${soundkonverter_codec_musepack_SRCS})

# kde4_add_library(soundkonverter_codec_musepack SHARED ${soundkonverter_codec_musepack_SRCS})

target_link_libraries(soundkonverter_codec_musepack ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_musepack ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_musepack DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_musepack.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_neroaac/CMakeLists.txt ===
project(soundkonverter_codec_neroaac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_neroaac_SRCS
   soundkonverter_codec_neroaac.cpp
   neroaaccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_neroaac ${soundkonverter_codec_neroaac_SRCS})

# kde4_add_library(soundkonverter_codec_neroaac SHARED ${soundkonverter_codec_neroaac_SRCS})

target_link_libraries(soundkonverter_codec_neroaac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_neroaac ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_neroaac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_neroaac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_speex/CMakeLists.txt ===
project(soundkonverter_codec_speex)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_speex_SRCS
   soundkonverter_codec_speex.cpp
   speexcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_speex ${soundkonverter_codec_speex_SRCS})

# kde4_add_library(soundkonverter_codec_speex SHARED ${soundkonverter_codec_speex_SRCS})

target_link_libraries(soundkonverter_codec_speex ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_speex ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_speex DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_speex.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_vorbistools/CMakeLists.txt ===
project(soundkonverter_codec_vorbistools)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_vorbistools_SRCS
   soundkonverter_codec_vorbistools.cpp
   vorbistoolscodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_vorbistools ${soundkonverter_codec_vorbistools_SRCS})

# kde4_add_library(soundkonverter_codec_vorbistools SHARED ${soundkonverter_codec_vorbistools_SRCS})

target_link_libraries(soundkonverter_codec_vorbistools ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_vorbistools ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_vorbistools DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_vorbistools.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_wavpack/CMakeLists.txt ===
project(soundkonverter_codec_wavpack)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_wavpack_SRCS
   soundkonverter_codec_wavpack.cpp
   wavpackcodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_wavpack ${soundkonverter_codec_wavpack_SRCS})

# kde4_add_library(soundkonverter_codec_wavpack SHARED ${soundkonverter_codec_wavpack_SRCS})

target_link_libraries(soundkonverter_codec_wavpack ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_wavpack ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_wavpack DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_wavpack.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_aacgain/CMakeLists.txt ===
project(soundkonverter_replaygain_aacgain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_aacgain_SRCS
   soundkonverter_replaygain_aacgain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_aacgain ${soundkonverter_replaygain_aacgain_SRCS})

# kde4_add_library(soundkonverter_replaygain_aacgain SHARED ${soundkonverter_replaygain_aacgain_SRCS})

target_link_libraries(soundkonverter_replaygain_aacgain ${KDE4_KDEUI_LIBS} soundkonvertercore )
#target_link_libraries(soundkonverter_replaygain_aacgain ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_replaygain_aacgain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_aacgain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (0.9.94-2) unstable; urgency=low

  * Made build system cope with upcoming linker changes.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Feb 2011 11:02:10 +0100

soundkonverter (0.9.94-1) unstable; urgency=low

  * Imported Upstream version 0.9.94 (Closes: #595372, #602691)
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Feb 2011 10:35:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

## soundkonverter 1.2.1

=== CMakeLists.txt ===
project(soundkonverter)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(Cdparanoia REQUIRED)
# macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building soundKonverter.")

set(TAGLIB_MIN_VERSION "1.4")
find_package(Taglib REQUIRED)

# # Check if TagLib is built with ASF and MP4 support
# include(CheckCXXSourceCompiles)
# set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
# set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")
#
# check_cxx_source_compiles("#include <asftag.h>
# int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
# if( NOT TAGLIB_ASF_FOUND )
#     message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
# endif( NOT TAGLIB_ASF_FOUND )
#
# check_cxx_source_compiles("#include <mp4tag.h>
# int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
# if( NOT TAGLIB_MP4_FOUND )
#     message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
# endif( NOT TAGLIB_MP4_FOUND )
#
# set(CMAKE_REQUIRED_INCLUDES)
# set(CMAKE_REQUIRED_LIBRARIES)
#
# set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
# find_package(Taglib-Extras REQUIRED)
#
# include(CheckTagLibFileName)
#
# check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
#
#


include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})


add_subdirectory(plugins)


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )


set(soundkonvertercore_SRCS
   core/backendplugin.cpp
   core/codecplugin.cpp
   core/codecwidget.cpp
   core/conversionoptions.cpp
   core/replaygainplugin.cpp
   core/ripperplugin.cpp
)
kde4_add_library(soundkonvertercore SHARED ${soundkonvertercore_SRCS})
target_link_libraries(soundkonvertercore ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS soundkonvertercore DESTINATION ${LIB_INSTALL_DIR})


set(soundkonverter_SRCS
   configdialog/configdialog.cpp
   configdialog/configpagebase.cpp
   configdialog/configgeneralpage.cpp
   configdialog/configbackendspage.cpp
   configdialog/configadvancedpage.cpp
   metadata/tagengine.cpp
   metadata/MetaReplayGain.cpp
   opener/fileopener.cpp
   opener/diropener.cpp
   opener/cdopener.cpp
   opener/urlopener.cpp
   opener/playlistopener.cpp
   replaygainscanner/replaygainscanner.cpp
   replaygainscanner/replaygainfilelist.cpp
   replaygainscanner/replaygainfilelistitem.cpp
   global.cpp
   main.cpp
   soundkonverter.cpp
   soundkonverterapp.cpp
   soundkonverterview.cpp
   codecproblems.cpp
   codecoptimizations.cpp
   combobutton.cpp
   config.cpp
   conversionoptionsmanager.cpp
   convert.cpp
   filelist.cpp
   filelistitem.cpp
   logger.cpp
   logviewer.cpp
   options.cpp
   optionssimple.cpp
   optionsdetailed.cpp
   optionseditor.cpp
   optionslayer.cpp
   pluginloader.cpp
   progressindicator.cpp
   outputdirectory.cpp
   aboutplugins.cpp
)
kde4_add_executable(soundkonverter ${soundkonverter_SRCS})
target_link_libraries(soundkonverter ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBRARY} ${KDE4_PHONON_LIBS} ${TAGLIB_LIBRARIES} kcddb ${CDPARANOIA_LIBRARIES} soundkonvertercore)
install(TARGETS soundkonverter DESTINATION ${BIN_INSTALL_DIR})


install(FILES soundkonverter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES soundkonverterui.rc DESTINATION ${DATA_INSTALL_DIR}/soundkonverter)

install(FILES soundkonverter_codecplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_replaygainplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter_ripperplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES soundkonverter-rip-audiocd.desktop DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

add_subdirectory(icons)
add_subdirectory(images)


macro_display_feature_log()


# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== debian/changelog ===
soundkonverter (1.2.1-1) unstable; urgency=low

  * Added watch file.
  * Removed linker patch because it was applied upstream.
  * New upstream version.
    (Closes: #456950, #485081, #513679, #582409, #593084, #653448)
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Wed, 11 Jan 2012 13:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

=== debian/watch ===
version=3

opts=downloadurlmangle=s#blobs#blobs/raw# \
 http://gitorious.org/soundkonverter/soundkonverter/trees/master/release /soundkonverter/soundkonverter/blobs/master/release/soundkonverter-([\d\.]*).tar.gz

## soundkonverter 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -70,6 +70,7 @@
    configdialog/configgeneralpage.cpp
    configdialog/configbackendspage.cpp
    configdialog/configadvancedpage.cpp
+   configdialog/configcoverartpage.cpp
    metadata/tagengine.cpp
    metadata/MetaReplayGain.cpp
    opener/fileopener.cpp

=== plugins/soundkonverter_codec_flake/CMakeLists.txt ===
project(soundkonverter_codec_flake)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_flake_SRCS
   soundkonverter_codec_flake.cpp
   flakecodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_flake ${soundkonverter_codec_flake_SRCS})

# kde4_add_library(soundkonverter_codec_flake SHARED ${soundkonverter_codec_flake_SRCS})

target_link_libraries(soundkonverter_codec_flake ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_flake ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_flake DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_flake.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_lame/CMakeLists.txt ===
project(soundkonverter_codec_lame)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_lame_SRCS
   soundkonverter_codec_lame.cpp
   lameconversionoptions.cpp
   lamecodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_lame ${soundkonverter_codec_lame_SRCS})

# kde4_add_library(soundkonverter_codec_lame SHARED ${soundkonverter_codec_lame_SRCS})

target_link_libraries(soundkonverter_codec_lame ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_lame ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_lame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_lame.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_mac/CMakeLists.txt ===
project(soundkonverter_codec_mac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_mac_SRCS
   soundkonverter_codec_mac.cpp
   maccodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_mac ${soundkonverter_codec_mac_SRCS})

# kde4_add_library(soundkonverter_codec_mac SHARED ${soundkonverter_codec_mac_SRCS})

target_link_libraries(soundkonverter_codec_mac ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_mac ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_mac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_mac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_shorten/CMakeLists.txt ===
project(soundkonverter_codec_shorten)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_shorten_SRCS
   soundkonverter_codec_shorten.cpp
   shortencodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_shorten ${soundkonverter_codec_shorten_SRCS})

# kde4_add_library(soundkonverter_codec_shorten SHARED ${soundkonverter_codec_shorten_SRCS})

target_link_libraries(soundkonverter_codec_shorten ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_shorten ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_shorten DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_shorten.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_timidity/CMakeLists.txt ===
project(soundkonverter_codec_timidity)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_timidity_SRCS
   soundkonverter_codec_timidity.cpp
   timiditycodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_timidity ${soundkonverter_codec_timidity_SRCS})

# kde4_add_library(soundkonverter_codec_timidity SHARED ${soundkonverter_codec_timidity_SRCS})

target_link_libraries(soundkonverter_codec_timidity ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_timidity ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_timidity DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_timidity.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_codec_twolame/CMakeLists.txt ===
project(soundkonverter_codec_twolame)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_codec_twolame_SRCS
   soundkonverter_codec_twolame.cpp
   twolamecodecwidget.cpp
 )

kde4_add_plugin(soundkonverter_codec_twolame ${soundkonverter_codec_twolame_SRCS})

# kde4_add_library(soundkonverter_codec_twolame SHARED ${soundkonverter_codec_twolame_SRCS})

target_link_libraries(soundkonverter_codec_twolame ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
#target_link_libraries(soundkonverter_codec_twolame ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_codec_twolame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_codec_twolame.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_metaflac/CMakeLists.txt ===
project(soundkonverter_replaygain_metaflac)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_metaflac_SRCS
   soundkonverter_replaygain_metaflac.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_metaflac ${soundkonverter_replaygain_metaflac_SRCS})

# kde4_add_library(soundkonverter_replaygain_metaflac SHARED ${soundkonverter_replaygain_metaflac_SRCS})

target_link_libraries(soundkonverter_replaygain_metaflac ${KDE4_KDEUI_LIBS} soundkonvertercore )
#target_link_libraries(soundkonverter_replaygain_metaflac ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_replaygain_metaflac DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_metaflac.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_musepack/CMakeLists.txt ===
project(soundkonverter_replaygain_musepackgain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_musepackgain_SRCS
   soundkonverter_replaygain_musepackgain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_musepackgain ${soundkonverter_replaygain_musepackgain_SRCS})

# kde4_add_library(soundkonverter_replaygain_replaygain SHARED ${soundkonverter_replaygain_replaygain_SRCS})

target_link_libraries(soundkonverter_replaygain_musepackgain ${KDE4_KDEUI_LIBS} soundkonvertercore )
#target_link_libraries(soundkonverter_replaygain_musepackgain ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_replaygain_musepackgain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_musepackgain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_ripper_cdparanoia/CMakeLists.txt ===
project(soundkonverter_ripper_cdparanoia)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_ripper_cdparanoia_SRCS
   soundkonverter_ripper_cdparanoia.cpp
 )

kde4_add_plugin(soundkonverter_ripper_cdparanoia ${soundkonverter_ripper_cdparanoia_SRCS})

# kde4_add_library(soundkonverter_ripper_cdparanoia SHARED ${soundkonverter_ripper_cdparanoia_SRCS})

target_link_libraries(soundkonverter_ripper_cdparanoia ${KDE4_KDEUI_LIBS} soundkonvertercore )
#target_link_libraries(soundkonverter_ripper_cdparanoia ${KDE4_KIO_LIBS} )

########### install files ###############

install(TARGETS soundkonverter_ripper_cdparanoia DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_ripper_cdparanoia.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2

 -- Michael Meskes <meskes@debian.org>  Sun, 19 Feb 2012 15:52:30 +0100

## soundkonverter 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,42 +6,16 @@
 include(KDE4Defaults)
 
 find_package(Cdparanoia REQUIRED)
-# macro_log_feature(CDPARANOIA_FOUND "cdparanoia" "Reads digital audio directly from a CD, then writes the data to a file or pipe in several different formats" "http://www.xiph.org/paranoia/" FALSE "" "Required for building soundKonverter.")
+find_package(Kcddb REQUIRED)
 
 set(TAGLIB_MIN_VERSION "1.4")
 find_package(Taglib REQUIRED)
 
-# # Check if TagLib is built with ASF and MP4 support
-# include(CheckCXXSourceCompiles)
-# set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
-# set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")
-#
-# check_cxx_source_compiles("#include <asftag.h>
-# int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
-# if( NOT TAGLIB_ASF_FOUND )
-#     message(FATAL_ERROR "TagLib does not have ASF support compiled in.")
-# endif( NOT TAGLIB_ASF_FOUND )
-#
-# check_cxx_source_compiles("#include <mp4tag.h>
-# int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
-# if( NOT TAGLIB_MP4_FOUND )
-#     message(FATAL_ERROR "TagLib does not have MP4 support compiled in.")
-# endif( NOT TAGLIB_MP4_FOUND )
-#
-# set(CMAKE_REQUIRED_INCLUDES)
-# set(CMAKE_REQUIRED_LIBRARIES)
-#
-# set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
-# find_package(Taglib-Extras REQUIRED)
-#
-# include(CheckTagLibFileName)
-#
-# check_taglib_filename(COMPLEX_TAGLIB_FILENAME)
-#
-#
+
+include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
 
 
-include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${TAGLIB_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
+# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")
 
 
 add_subdirectory(plugins)

=== plugins/soundkonverter_codec_mplayer/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,7 @@
 
 kde4_add_plugin(soundkonverter_codec_mplayer ${soundkonverter_codec_mplayer_SRCS})
 
-# kde4_add_library(soundkonverter_codec_mplayer SHARED ${soundkonverter_codec_mplayer_SRCS})
-
 target_link_libraries(soundkonverter_codec_mplayer ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
-#target_link_libraries(soundkonverter_codec_mplayer ${KDE4_KIO_LIBS} )
 
 ########### install files ###############

=== plugins/soundkonverter_codec_twolame/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,7 @@
 
 kde4_add_plugin(soundkonverter_codec_twolame ${soundkonverter_codec_twolame_SRCS})
 
-# kde4_add_library(soundkonverter_codec_twolame SHARED ${soundkonverter_codec_twolame_SRCS})
-
 target_link_libraries(soundkonverter_codec_twolame ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} soundkonvertercore )
-#target_link_libraries(soundkonverter_codec_twolame ${KDE4_KIO_LIBS} )
 
 ########### install files ###############

=== plugins/soundkonverter_replaygain_musepack/CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,7 @@
 
 kde4_add_plugin(soundkonverter_replaygain_musepackgain ${soundkonverter_replaygain_musepackgain_SRCS})
 
-# kde4_add_library(soundkonverter_replaygain_replaygain SHARED ${soundkonverter_replaygain_replaygain_SRCS})
-
 target_link_libraries(soundkonverter_replaygain_musepackgain ${KDE4_KDEUI_LIBS} soundkonvertercore )
-#target_link_libraries(soundkonverter_replaygain_musepackgain ${KDE4_KIO_LIBS} )
 
 ########### install files ###############

=== plugins/soundkonverter_replaygain_vorbisgain/CMakeLists.txt ===
project(soundkonverter_replaygain_vorbisgain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_vorbisgain_SRCS
   soundkonverter_replaygain_vorbisgain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_vorbisgain ${soundkonverter_replaygain_vorbisgain_SRCS})

target_link_libraries(soundkonverter_replaygain_vorbisgain ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_replaygain_vorbisgain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_vorbisgain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/soundkonverter_replaygain_wvgain/CMakeLists.txt ===
project(soundkonverter_replaygain_wvgain)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(soundkonverter_replaygain_wvgain_SRCS
   soundkonverter_replaygain_wvgain.cpp
 )

kde4_add_plugin(soundkonverter_replaygain_wvgain ${soundkonverter_replaygain_wvgain_SRCS})

target_link_libraries(soundkonverter_replaygain_wvgain ${KDE4_KDEUI_LIBS} soundkonvertercore )

########### install files ###############

install(TARGETS soundkonverter_replaygain_wvgain DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES soundkonverter_replaygain_wvgain.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
soundkonverter (1.5.0-1) unstable; urgency=low

  * Imported Upstream version 1.5.0
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Removed watch file again, because it no longer works.

 -- Michael Meskes <meskes@debian.org>  Thu, 10 May 2012 15:06:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libkcddb-dev, cmake
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.kde-apps.org/content/show.php?content=29024
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/soundconverter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/soundconverter.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

install/soundkonverter::
	install -D -p -m0644 debian/soundkonverter.lintian-overrides \
	    debian/soundkonverter/usr/share/lintian/overrides/soundkonverter
	find debian -type f -name userscript.sh | xargs rm -f
	rm -rf debian/soundkonverter/usr/share/apps/soundkonverter/amarokscript
	install -m 644 *plugin.desktop debian/soundkonverter/usr/share/kde4/servicetypes

## soundkonverter 1.9.80

=== debian/changelog ===
soundkonverter (1.9.80-1) unstable; urgency=low

  * Imported Upstream version 1.9.80
  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Don't mention cdda2wav anymore.

 -- Michael Meskes <meskes@debian.org>  Tue, 29 Jan 2013 10:45:26 +0100

soundkonverter (1.6.4-1) unstable; urgency=low

  * Imported Upstream version 1.6.4
  * Added working watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Use dpkg-buildflags for package hardening.
  * Added dpkg-dev build dependency needed for dpkg-buildflags inclusion.

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Jan 2013 12:09:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/dpkg/buildflags.mk

DEB_SRCDIR=src

install/soundkonverter::
	install -D -p -m0644 debian/soundkonverter.lintian-overrides \
	    debian/soundkonverter/usr/share/lintian/overrides/soundkonverter
	find debian -type f -name userscript.sh | xargs rm -f
	rm -rf debian/soundkonverter/usr/share/apps/soundkonverter/amarokscript
	install -m 644 src/*plugin.desktop debian/soundkonverter/usr/share/kde4/servicetypes

=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=kdeapps/29024 .*=(?:\d+-)?soundkonverter-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 04 Jan 2013 20:44:55 +0000
